#include "EI_Dome.h"

mobLight::mobLight()
{
	for(int b = 0; b < 3; b++)
	{
		col[b] = 0;
		fade[b] = 0;
		old[b] = 0;
	}
	x = 0;
	y = 0;
	scale = 0;
	fTime = 0;
	fStamp = 0;
	brightness = 0.0f;
	newbrightness = 0.0f;
	oldbrightness = 0.0f;
	dimTime = 0;
	dimStamp = 0;
	dimOutAtTick = 0;
	flickering = false;
	flick = false;
	flickTime = 0;
	flickStamp = 0;
	stopFlickAtTick = 0;
	selected = false;
}

mobLight& mobLight::operator= (const mobLight &src)
{
    for(int b = 0; b < 3; b++)
	{
		col[b] = src.col[b];
		fade[b] = src.fade[b];
		old[b] = src.old[b];
	}
	x = src.x;
	y = src.y;
	scale = src.scale;
	fTime = src.fTime;
	fStamp = src.fStamp;
	brightness = src.brightness;
	newbrightness = src.newbrightness;
	dimTime = src.dimTime;
	dimStamp = src.dimStamp;
	dimOutAtTick = src.dimOutAtTick;
	flickering = src.flickering;
	flick = src.flick;
	flickTime = src.flickTime;
	flickStamp = src.flickStamp;
	stopFlickAtTick = src.stopFlickAtTick;
	selected = src.selected;
	return *this;
}