#ifndef MOBILE_H
#define MOBILE_H

#include "EI_Dome.h"


class Mobile
{
public:
	
	int SENSOR_BUFFER;
	
	mobLight dome[25];
	
	int curState;
	unsigned int lastIdleEvent;
	unsigned int dimStamp;
	unsigned int dimTime;
	unsigned int secondTimer;
	unsigned int tickcount;
	unsigned int nextRapid;
	unsigned int nextFlick;
	int curHighlight;
	unsigned int highlightStamp;
	bool highlightWaxing;
	int domeOrder[8];
	float speed;
	bool m[3];
	int mTimer[3]; 
	int numSensors;
	int prevNumSensors;
	unsigned int sensorTime;
	unsigned int sensorTimeStamp;
	bool blink;
	bool hackFlag;

	bool keys[4];
	bool DNP;

	Mobile();
	
	void update(int timePassed, bool m1, bool m2, bool m3, bool dnp);
	void FadeDomes(float);	
	void StartIdleState(int);
	void StartIdleEvent1(int);
	void StartIdleEvent2();
	void IdleEvent1(float);
	void IdleEvent2();
	void StartSensorState();
	void CheckSensors(int, bool, bool, bool, bool);
	void SecondTimer();
	void UpdateTick(int);
	void MiniEvents();
	void SuperAwesomeLightShow();
	void DupeLights();
	void SensorMode(int);
	void LightDupeHack();
	void OneSensor(int, int);
	void TwoSensor();
	void ThreeSensor();
	void DoNotPush(int);
	void StartDNP();

	float rnd();

};

#endif